(function ($) {
	$(document).ready(function () {
		$('.involveme-color-field').wpColorPicker();

		var clipboard = new ClipboardJS('#involve_me_copy_shortcode_button');
		clipboard.on('success', function (e) {
			let $button = $('#involve_me_copy_shortcode_button');
			$button.text($button.data('copied-text'))
			setTimeout(function(){
				$button.text($button.data('default-text'))
			}, 5000);
		});


		$('input:radio[name=involveme_iframe_embed_mode]').change(function() {
			disableOptionsOnFullPageEmbedMode();
		});
		disableOptionsOnFullPageEmbedMode();
	});

	function disableOptionsOnFullPageEmbedMode(){
		if (!$('#involveme_iframe_standard').is(":checked")) {
			$('#involveme_iframe_minimal_height').attr('disabled','disabled');
			$('#involveme_iframe_width').attr('disabled','disabled');
			$('#involveme_iframe_dynamic_height_resize').attr('disabled','disabled');
		}
		else {
			$('#involveme_iframe_minimal_height').removeAttr('disabled');
			$('#involveme_iframe_width').removeAttr('disabled');
			$('#involveme_iframe_dynamic_height_resize').removeAttr('disabled');
		}
	}

})(jQuery);


